package io.renren.modules.minio.mapper;

import io.renren.modules.minio.pojo.MinioAlgorithm;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0
 * @Date 2021/10/16
 */
@Mapper
public interface MinioAlgorithmMapper {
    // int start, int size
    List<MinioAlgorithm> getMinioAlgorithmList();

    int getAlgorithmNum();

    int findModelByName(String algorithmName);

    String findAppFileByName(String algorithmName);

    String findImageFileByName(String algorithmName);

    Long findBelongAlgId(String algorithmName);
}
